hbase-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "stack (JIRA)" <j...@apache.org>
Subject [jira] [Updated] (HBASE-12381) Add maven enforcer rules for build assumptions
Date Thu, 30 Oct 2014 17:48:35 GMT

     [ https://issues.apache.org/jira/browse/HBASE-12381?page=com.atlassian.jira.plugin.system.issuetabpanels:all-tabpanel
]

stack updated HBASE-12381:
--------------------------
       Resolution: Fixed
    Fix Version/s: 0.99.2
                   0.98.9
                   0.94.26
                   2.0.0
     Release Note: Enforces maven >= 3.0.3 (based on the oldest version we have building
on jenkins) and java >= the source compilation target variable, which is 1.7 on master
and branch-1 (based on java compat doc) and 1.6 before this.
     Hadoop Flags: Reviewed
           Status: Resolved  (was: Patch Available)

Nice patch [~busbey] Thanks.  Committed to 0.94+

> Add maven enforcer rules for build assumptions
> ----------------------------------------------
>
>                 Key: HBASE-12381
>                 URL: https://issues.apache.org/jira/browse/HBASE-12381
>             Project: HBase
>          Issue Type: Task
>          Components: build
>            Reporter: Sean Busbey
>            Assignee: Sean Busbey
>            Priority: Minor
>             Fix For: 2.0.0, 0.94.26, 0.98.9, 0.99.2
>
>         Attachments: HBASE-12381.1.patch.txt
>
>
> our ref guide says that you need maven 3 to build. add an enforcer rule so that people
find out early that they have the wrong maven version, rather then however things fall over
if someone tries to build with maven 2.



--
This message was sent by Atlassian JIRA
(v6.3.4#6332)

Mime
View raw message